package PR2.HitoriSpiel.Domain;

/**
 * Represents a single cell on the Hitori board.
 */

public class HitoriCell {

    public enum CellState {
        GRAY, WHITE, BLACK
    }
    private final int number;
    private CellState state;

    public HitoriCell(int number) {
        this.number = number;
        this.state = CellState.GRAY;
    }

    public int getNumber() {
        return number;
    }

    public CellState getState() {
        return state;
    }

    public void setState(CellState state) {
        this.state = state;
    }

}
